Get a batch of contacts by email address
curl --request GET \
--url https://api.hubapi.com/contacts/v1/contact/emails/batch/import requests
url = "https://api.hubapi.com/contacts/v1/contact/emails/batch/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/contacts/v1/contact/emails/batch/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/contacts/v1/contact/emails/batch/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/contacts/v1/contact/emails/batch/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/contacts/v1/contact/emails/batch/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/contacts/v1/contact/emails/batch/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"3234574": {
"vid": 3234574,
"canonical-vid": 3234574,
"merged-vids": [],
"portal-id": 62515,
"is-contact": true,
"properties": {
"hs_analytics_last_url": {
"value": ""
},
"lead_source": {
"value": "DiscoverOrg"
},
"num_unique_conversion_events": {
"value": "0"
},
"hs_analytics_revenue": {
"value": "0.0"
},
"createdate": {
"value": "1484026585538"
},
"hs_analytics_first_referrer": {
"value": ""
},
"hs_email_optout": {
"value": "true"
},
"hs_predictivecontactscore": {
"value": "50"
},
"annualrevenue": {
"value": "181900000"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"zip": {
"value": "02139"
},
"fortune_rank": {
"value": ""
},
"hs_predictivecontactscorebucket": {
"value": "bucket_3"
},
"hubspotscore": {
"value": "0"
},
"linkedinconnections": {
"value": "0"
},
"hs_lifecyclestage_subscriber_date": {
"value": "1484026585538"
},
"hs_analytics_average_page_views": {
"value": "0"
},
"lastname": {
"value": "Test"
},
"twitterhandle": {
"value": "ghidinelli"
},
"phone": {
"value": "555-122-2323"
},
"num_conversion_events": {
"value": "0"
},
"currentlyinworkflow": {
"value": "false"
},
"hs_analytics_num_event_completions": {
"value": "2"
},
"followercount": {
"value": "582"
},
"hs_email_optout_2849": {
"value": ""
},
"associatedcompanyid": {
"value": "184896670"
},
"firstname": {
"value": "HubSpot"
},
"city": {
"value": "Cambridge"
},
"hs_email_optout_354586": {
"value": ""
},
"hs_social_num_broadcast_clicks": {
"value": "0"
},
"hs_analytics_last_timestamp": {
"value": ""
},
"hs_analytics_num_visits": {
"value": "0"
},
"twitterbio": {
"value": "Racer, entrepreneur, world traveler. Crossfitter, foodie, kitesurfing newbie. If racing is life, I'm building a lifestyle business @MotorsportReg @RaceHeroApp"
},
"hs_social_linkedin_clicks": {
"value": "0"
},
"hs_analytics_last_visit_timestamp": {
"value": ""
},
"hs_social_last_engagement": {
"value": ""
},
"hs_twitterid": {
"value": "49019793"
},
"associatedcompanylastupdated": {
"value": "13365279006997343"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"company": {
"value": "HubSpot"
},
"email": {
"value": "testingapis@hubspot.com"
},
"linkedinbio": {
"value": "Racecar driver, entrepreneur, world traveler"
},
"hs_analytics_first_url": {
"value": ""
},
"website": {
"value": ""
},
"address": {
"value": "25 First Street"
},
"hs_analytics_first_visit_timestamp": {
"value": ""
},
"hs_analytics_first_timestamp": {
"value": "1484026585538"
},
"lastmodifieddate": {
"value": "1484859513090"
},
"photo": {
"value": ""
},
"hs_social_google_plus_clicks": {
"value": "0"
},
"hs_analytics_last_referrer": {
"value": ""
},
"kloutscoregeneral": {
"value": "48"
},
"hs_email_optout_230318": {
"value": ""
},
"hs_social_facebook_clicks": {
"value": "0"
},
"twitterprofilephoto": {
"value": ""
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_social_twitter_clicks": {
"value": "0"
},
"hs_analytics_source_data_1": {
"value": "API"
},
"lifecyclestage": {
"value": "subscriber"
},
"hs_email_sends_since_last_engagement": {
"value": "0"
}
},
"form-submissions": [],
"identity-profiles": [
{
"vid": 3234574,
"saved-at-timestamp": 1484026585613,
"deleted-changed-timestamp": 0,
"identities": [
{
"type": "EMAIL",
"value": "testingapis@hubspot.com",
"timestamp": 1484026585538
},
{
"type": "LEAD_GUID",
"value": "4b11f8af-50d9-4665-9c43-bb2fc46e3a80",
"timestamp": 1484026585610
}
]
}
],
"merge-audits": [],
"associated-company": {
"company-id": 184896670,
"portal-id": 62515,
"properties": {
"country": {
"value": "United States"
},
"city": {
"value": "Cambridge"
},
"num_associated_contacts": {
"value": "102"
},
"timezone": {
"value": "America/New_York"
},
"facebook_company_page": {
"value": ""
},
"createdate": {
"value": "1457708103847"
},
"description": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"industry": {
"value": "COMPUTER_SOFTWARE"
},
"total_money_raised": {
"value": "$100.5M"
},
"days_to_close": {
"value": "220"
},
"hs_analytics_num_visits": {
"value": "0"
},
"linkedin_company_page": {
"value": ""
},
"recent_conversion_event_name": {
"value": "Contact Us: excedalogic form"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"num_contacted_notes": {
"value": "12"
},
"annualrevenue": {
"value": "250000000"
},
"founded_year": {
"value": "2006"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"linkedinbio": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"notes_next_activity_date": {
"value": ""
},
"zip": {
"value": "02141"
},
"notes_last_updated": {
"value": "1480625888696"
},
"website": {
"value": "hubspot.com"
},
"closedate": {
"value": "1476768116137"
},
"hs_analytics_first_timestamp": {
"value": "1390574181854"
},
"first_conversion_date": {
"value": "1477892839033"
},
"engagements_last_meeting_booked": {
"value": ""
},
"first_contact_createdate": {
"value": "1390574181854"
},
"twitterhandle": {
"value": "HubSpot"
},
"hs_lastmodifieddate": {
"value": "1484915991732"
},
"notes_last_contacted": {
"value": "1479030015191"
},
"phone": {
"value": "+1 888-482-7768"
},
"num_conversion_events": {
"value": "41"
},
"domain": {
"value": "hubspot.com"
},
"is_public": {
"value": "true"
},
"name": {
"value": "Hubspot, Inc."
},
"recent_conversion_date": {
"value": "1484915989198"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_analytics_source_data_1": {
"value": ""
},
"first_conversion_event_name": {
"value": "excedalogic form"
},
"num_notes": {
"value": "12"
}
}
}
},
"3714024": {
"vid": 3714024,
"canonical-vid": 3714024,
"merged-vids": [],
"portal-id": 62515,
"is-contact": true,
"properties": {
"country": {
"value": "United States of America"
},
"hs_analytics_last_url": {
"value": ""
},
"num_unique_conversion_events": {
"value": "0"
},
"hs_analytics_revenue": {
"value": "0.0"
},
"createdate": {
"value": "1484693212904"
},
"hs_analytics_first_referrer": {
"value": ""
},
"hs_email_optout": {
"value": ""
},
"days_to_close": {
"value": "2"
},
"hs_predictivecontactscore": {
"value": "51"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"hs_predictivecontactscorebucket": {
"value": "bucket_3"
},
"hubspotscore": {
"value": "0"
},
"hs_lifecyclestage_subscriber_date": {
"value": "1484693212904"
},
"hs_analytics_average_page_views": {
"value": "0"
},
"lastname": {
"value": "Record"
},
"num_conversion_events": {
"value": "0"
},
"currentlyinworkflow": {
"value": "false"
},
"hs_analytics_num_event_completions": {
"value": "0"
},
"hs_lifecyclestage_customer_date": {
"value": "1484854496353"
},
"hs_email_optout_2849": {
"value": ""
},
"associatedcompanyid": {
"value": "184896670"
},
"firstname": {
"value": "Updated"
},
"hs_email_optout_354586": {
"value": ""
},
"hs_social_num_broadcast_clicks": {
"value": "0"
},
"hs_analytics_last_timestamp": {
"value": ""
},
"hs_analytics_num_visits": {
"value": "0"
},
"hs_social_linkedin_clicks": {
"value": "0"
},
"hs_analytics_last_visit_timestamp": {
"value": ""
},
"hs_social_last_engagement": {
"value": ""
},
"associatedcompanylastupdated": {
"value": "14538011802288603"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"business_type": {
"value": "Other"
},
"email": {
"value": "new-email@hubspot.com"
},
"hs_analytics_first_url": {
"value": ""
},
"website": {
"value": ""
},
"address": {
"value": ""
},
"closedate": {
"value": "1484854496353"
},
"hs_analytics_first_visit_timestamp": {
"value": ""
},
"hs_analytics_first_timestamp": {
"value": "1484693212904"
},
"lastmodifieddate": {
"value": "1484854580823"
},
"hs_social_google_plus_clicks": {
"value": "0"
},
"hs_analytics_last_referrer": {
"value": ""
},
"hs_email_optout_230318": {
"value": ""
},
"hs_social_facebook_clicks": {
"value": "0"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_social_twitter_clicks": {
"value": "0"
},
"hs_analytics_source_data_1": {
"value": "API"
},
"lifecyclestage": {
"value": "customer"
},
"hs_email_sends_since_last_engagement": {
"value": "0"
}
},
"form-submissions": [],
"identity-profiles": [
{
"vid": 3714024,
"saved-at-timestamp": 1484854496366,
"deleted-changed-timestamp": 0,
"identities": [
{
"type": "LEAD_GUID",
"value": "670706c0-3f5c-485b-9bee-5d0b0c6aef97",
"timestamp": 1484693212959
},
{
"type": "EMAIL",
"value": "new-email@hubspot.com",
"timestamp": 1484854496353
}
]
}
],
"merge-audits": [],
"associated-company": {
"company-id": 184896670,
"portal-id": 62515,
"properties": {
"country": {
"value": "United States"
},
"city": {
"value": "Cambridge"
},
"num_associated_contacts": {
"value": "102"
},
"timezone": {
"value": "America/New_York"
},
"facebook_company_page": {
"value": ""
},
"createdate": {
"value": "1457708103847"
},
"description": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"industry": {
"value": "COMPUTER_SOFTWARE"
},
"total_money_raised": {
"value": "$100.5M"
},
"days_to_close": {
"value": "220"
},
"hs_analytics_num_visits": {
"value": "0"
},
"linkedin_company_page": {
"value": ""
},
"recent_conversion_event_name": {
"value": "Contact Us: excedalogic form"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"num_contacted_notes": {
"value": "12"
},
"annualrevenue": {
"value": "250000000"
},
"founded_year": {
"value": "2006"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"linkedinbio": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"notes_next_activity_date": {
"value": ""
},
"zip": {
"value": "02141"
},
"notes_last_updated": {
"value": "1480625888696"
},
"website": {
"value": "hubspot.com"
},
"closedate": {
"value": "1476768116137"
},
"hs_analytics_first_timestamp": {
"value": "1390574181854"
},
"first_conversion_date": {
"value": "1477892839033"
},
"engagements_last_meeting_booked": {
"value": ""
},
"first_contact_createdate": {
"value": "1390574181854"
},
"twitterhandle": {
"value": "HubSpot"
},
"hs_lastmodifieddate": {
"value": "1484915991732"
},
"notes_last_contacted": {
"value": "1479030015191"
},
"phone": {
"value": "+1 888-482-7768"
},
"num_conversion_events": {
"value": "41"
},
"domain": {
"value": "hubspot.com"
},
"is_public": {
"value": "true"
},
"name": {
"value": "Hubspot, Inc."
},
"recent_conversion_date": {
"value": "1484915989198"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_analytics_source_data_1": {
"value": ""
},
"first_conversion_event_name": {
"value": "excedalogic form"
},
"num_notes": {
"value": "12"
}
}
}
}
}v1
Get a batch of contacts by email address
For a given account, return information about a group of contacts by their email addresses. This method will also return you much of the HubSpot lead “intelligence” for each requested contact record. The endpoint accepts many query parameters that allow for customization based on a variety of integration use cases. Requests should be limited to 100 records in a single request.
GET
/
contacts
/
v1
/
contact
/
emails
/
batch
/
Get a batch of contacts by email address
curl --request GET \
--url https://api.hubapi.com/contacts/v1/contact/emails/batch/import requests
url = "https://api.hubapi.com/contacts/v1/contact/emails/batch/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/contacts/v1/contact/emails/batch/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/contacts/v1/contact/emails/batch/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/contacts/v1/contact/emails/batch/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/contacts/v1/contact/emails/batch/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/contacts/v1/contact/emails/batch/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"3234574": {
"vid": 3234574,
"canonical-vid": 3234574,
"merged-vids": [],
"portal-id": 62515,
"is-contact": true,
"properties": {
"hs_analytics_last_url": {
"value": ""
},
"lead_source": {
"value": "DiscoverOrg"
},
"num_unique_conversion_events": {
"value": "0"
},
"hs_analytics_revenue": {
"value": "0.0"
},
"createdate": {
"value": "1484026585538"
},
"hs_analytics_first_referrer": {
"value": ""
},
"hs_email_optout": {
"value": "true"
},
"hs_predictivecontactscore": {
"value": "50"
},
"annualrevenue": {
"value": "181900000"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"zip": {
"value": "02139"
},
"fortune_rank": {
"value": ""
},
"hs_predictivecontactscorebucket": {
"value": "bucket_3"
},
"hubspotscore": {
"value": "0"
},
"linkedinconnections": {
"value": "0"
},
"hs_lifecyclestage_subscriber_date": {
"value": "1484026585538"
},
"hs_analytics_average_page_views": {
"value": "0"
},
"lastname": {
"value": "Test"
},
"twitterhandle": {
"value": "ghidinelli"
},
"phone": {
"value": "555-122-2323"
},
"num_conversion_events": {
"value": "0"
},
"currentlyinworkflow": {
"value": "false"
},
"hs_analytics_num_event_completions": {
"value": "2"
},
"followercount": {
"value": "582"
},
"hs_email_optout_2849": {
"value": ""
},
"associatedcompanyid": {
"value": "184896670"
},
"firstname": {
"value": "HubSpot"
},
"city": {
"value": "Cambridge"
},
"hs_email_optout_354586": {
"value": ""
},
"hs_social_num_broadcast_clicks": {
"value": "0"
},
"hs_analytics_last_timestamp": {
"value": ""
},
"hs_analytics_num_visits": {
"value": "0"
},
"twitterbio": {
"value": "Racer, entrepreneur, world traveler. Crossfitter, foodie, kitesurfing newbie. If racing is life, I'm building a lifestyle business @MotorsportReg @RaceHeroApp"
},
"hs_social_linkedin_clicks": {
"value": "0"
},
"hs_analytics_last_visit_timestamp": {
"value": ""
},
"hs_social_last_engagement": {
"value": ""
},
"hs_twitterid": {
"value": "49019793"
},
"associatedcompanylastupdated": {
"value": "13365279006997343"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"company": {
"value": "HubSpot"
},
"email": {
"value": "testingapis@hubspot.com"
},
"linkedinbio": {
"value": "Racecar driver, entrepreneur, world traveler"
},
"hs_analytics_first_url": {
"value": ""
},
"website": {
"value": ""
},
"address": {
"value": "25 First Street"
},
"hs_analytics_first_visit_timestamp": {
"value": ""
},
"hs_analytics_first_timestamp": {
"value": "1484026585538"
},
"lastmodifieddate": {
"value": "1484859513090"
},
"photo": {
"value": ""
},
"hs_social_google_plus_clicks": {
"value": "0"
},
"hs_analytics_last_referrer": {
"value": ""
},
"kloutscoregeneral": {
"value": "48"
},
"hs_email_optout_230318": {
"value": ""
},
"hs_social_facebook_clicks": {
"value": "0"
},
"twitterprofilephoto": {
"value": ""
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_social_twitter_clicks": {
"value": "0"
},
"hs_analytics_source_data_1": {
"value": "API"
},
"lifecyclestage": {
"value": "subscriber"
},
"hs_email_sends_since_last_engagement": {
"value": "0"
}
},
"form-submissions": [],
"identity-profiles": [
{
"vid": 3234574,
"saved-at-timestamp": 1484026585613,
"deleted-changed-timestamp": 0,
"identities": [
{
"type": "EMAIL",
"value": "testingapis@hubspot.com",
"timestamp": 1484026585538
},
{
"type": "LEAD_GUID",
"value": "4b11f8af-50d9-4665-9c43-bb2fc46e3a80",
"timestamp": 1484026585610
}
]
}
],
"merge-audits": [],
"associated-company": {
"company-id": 184896670,
"portal-id": 62515,
"properties": {
"country": {
"value": "United States"
},
"city": {
"value": "Cambridge"
},
"num_associated_contacts": {
"value": "102"
},
"timezone": {
"value": "America/New_York"
},
"facebook_company_page": {
"value": ""
},
"createdate": {
"value": "1457708103847"
},
"description": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"industry": {
"value": "COMPUTER_SOFTWARE"
},
"total_money_raised": {
"value": "$100.5M"
},
"days_to_close": {
"value": "220"
},
"hs_analytics_num_visits": {
"value": "0"
},
"linkedin_company_page": {
"value": ""
},
"recent_conversion_event_name": {
"value": "Contact Us: excedalogic form"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"num_contacted_notes": {
"value": "12"
},
"annualrevenue": {
"value": "250000000"
},
"founded_year": {
"value": "2006"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"linkedinbio": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"notes_next_activity_date": {
"value": ""
},
"zip": {
"value": "02141"
},
"notes_last_updated": {
"value": "1480625888696"
},
"website": {
"value": "hubspot.com"
},
"closedate": {
"value": "1476768116137"
},
"hs_analytics_first_timestamp": {
"value": "1390574181854"
},
"first_conversion_date": {
"value": "1477892839033"
},
"engagements_last_meeting_booked": {
"value": ""
},
"first_contact_createdate": {
"value": "1390574181854"
},
"twitterhandle": {
"value": "HubSpot"
},
"hs_lastmodifieddate": {
"value": "1484915991732"
},
"notes_last_contacted": {
"value": "1479030015191"
},
"phone": {
"value": "+1 888-482-7768"
},
"num_conversion_events": {
"value": "41"
},
"domain": {
"value": "hubspot.com"
},
"is_public": {
"value": "true"
},
"name": {
"value": "Hubspot, Inc."
},
"recent_conversion_date": {
"value": "1484915989198"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_analytics_source_data_1": {
"value": ""
},
"first_conversion_event_name": {
"value": "excedalogic form"
},
"num_notes": {
"value": "12"
}
}
}
},
"3714024": {
"vid": 3714024,
"canonical-vid": 3714024,
"merged-vids": [],
"portal-id": 62515,
"is-contact": true,
"properties": {
"country": {
"value": "United States of America"
},
"hs_analytics_last_url": {
"value": ""
},
"num_unique_conversion_events": {
"value": "0"
},
"hs_analytics_revenue": {
"value": "0.0"
},
"createdate": {
"value": "1484693212904"
},
"hs_analytics_first_referrer": {
"value": ""
},
"hs_email_optout": {
"value": ""
},
"days_to_close": {
"value": "2"
},
"hs_predictivecontactscore": {
"value": "51"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"hs_predictivecontactscorebucket": {
"value": "bucket_3"
},
"hubspotscore": {
"value": "0"
},
"hs_lifecyclestage_subscriber_date": {
"value": "1484693212904"
},
"hs_analytics_average_page_views": {
"value": "0"
},
"lastname": {
"value": "Record"
},
"num_conversion_events": {
"value": "0"
},
"currentlyinworkflow": {
"value": "false"
},
"hs_analytics_num_event_completions": {
"value": "0"
},
"hs_lifecyclestage_customer_date": {
"value": "1484854496353"
},
"hs_email_optout_2849": {
"value": ""
},
"associatedcompanyid": {
"value": "184896670"
},
"firstname": {
"value": "Updated"
},
"hs_email_optout_354586": {
"value": ""
},
"hs_social_num_broadcast_clicks": {
"value": "0"
},
"hs_analytics_last_timestamp": {
"value": ""
},
"hs_analytics_num_visits": {
"value": "0"
},
"hs_social_linkedin_clicks": {
"value": "0"
},
"hs_analytics_last_visit_timestamp": {
"value": ""
},
"hs_social_last_engagement": {
"value": ""
},
"associatedcompanylastupdated": {
"value": "14538011802288603"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"business_type": {
"value": "Other"
},
"email": {
"value": "new-email@hubspot.com"
},
"hs_analytics_first_url": {
"value": ""
},
"website": {
"value": ""
},
"address": {
"value": ""
},
"closedate": {
"value": "1484854496353"
},
"hs_analytics_first_visit_timestamp": {
"value": ""
},
"hs_analytics_first_timestamp": {
"value": "1484693212904"
},
"lastmodifieddate": {
"value": "1484854580823"
},
"hs_social_google_plus_clicks": {
"value": "0"
},
"hs_analytics_last_referrer": {
"value": ""
},
"hs_email_optout_230318": {
"value": ""
},
"hs_social_facebook_clicks": {
"value": "0"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_social_twitter_clicks": {
"value": "0"
},
"hs_analytics_source_data_1": {
"value": "API"
},
"lifecyclestage": {
"value": "customer"
},
"hs_email_sends_since_last_engagement": {
"value": "0"
}
},
"form-submissions": [],
"identity-profiles": [
{
"vid": 3714024,
"saved-at-timestamp": 1484854496366,
"deleted-changed-timestamp": 0,
"identities": [
{
"type": "LEAD_GUID",
"value": "670706c0-3f5c-485b-9bee-5d0b0c6aef97",
"timestamp": 1484693212959
},
{
"type": "EMAIL",
"value": "new-email@hubspot.com",
"timestamp": 1484854496353
}
]
}
],
"merge-audits": [],
"associated-company": {
"company-id": 184896670,
"portal-id": 62515,
"properties": {
"country": {
"value": "United States"
},
"city": {
"value": "Cambridge"
},
"num_associated_contacts": {
"value": "102"
},
"timezone": {
"value": "America/New_York"
},
"facebook_company_page": {
"value": ""
},
"createdate": {
"value": "1457708103847"
},
"description": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"industry": {
"value": "COMPUTER_SOFTWARE"
},
"total_money_raised": {
"value": "$100.5M"
},
"days_to_close": {
"value": "220"
},
"hs_analytics_num_visits": {
"value": "0"
},
"linkedin_company_page": {
"value": ""
},
"recent_conversion_event_name": {
"value": "Contact Us: excedalogic form"
},
"hs_analytics_source": {
"value": "OFFLINE"
},
"num_contacted_notes": {
"value": "12"
},
"annualrevenue": {
"value": "250000000"
},
"founded_year": {
"value": "2006"
},
"hs_analytics_num_page_views": {
"value": "0"
},
"state": {
"value": "MA"
},
"linkedinbio": {
"value": "HubSpot is the world’s leading inbound marketing and sales platform. Since 2006, HubSpot has been on a mission to make the world more inbound. Today, over 10,000 customers in 65 countries use HubSpot’s software, services, and support to transform the way they attract, engage, and delight customers. HubSpot’s inbound marketing software, ranked #1 in customer satisfaction by VentureBeat and G2Crowd, includes social media publishing and monitoring, blogging, SEO, website content management, email marketing, marketing automation, and reporting and analytics, all in one integrated platform. Signals, HubSpot’s award-winning sales application, enables sales and service teams to have more effective conversations with leads, prospects, and customers. HubSpot is headquartered in Cambridge, MA with an office in Dublin, Ireland, and has been recognized by Inc., Forbes, and Deloitte as one of the world’s fastest-growing companies."
},
"notes_next_activity_date": {
"value": ""
},
"zip": {
"value": "02141"
},
"notes_last_updated": {
"value": "1480625888696"
},
"website": {
"value": "hubspot.com"
},
"closedate": {
"value": "1476768116137"
},
"hs_analytics_first_timestamp": {
"value": "1390574181854"
},
"first_conversion_date": {
"value": "1477892839033"
},
"engagements_last_meeting_booked": {
"value": ""
},
"first_contact_createdate": {
"value": "1390574181854"
},
"twitterhandle": {
"value": "HubSpot"
},
"hs_lastmodifieddate": {
"value": "1484915991732"
},
"notes_last_contacted": {
"value": "1479030015191"
},
"phone": {
"value": "+1 888-482-7768"
},
"num_conversion_events": {
"value": "41"
},
"domain": {
"value": "hubspot.com"
},
"is_public": {
"value": "true"
},
"name": {
"value": "Hubspot, Inc."
},
"recent_conversion_date": {
"value": "1484915989198"
},
"hs_analytics_source_data_2": {
"value": ""
},
"hs_analytics_source_data_1": {
"value": ""
},
"first_conversion_event_name": {
"value": "excedalogic form"
},
"num_notes": {
"value": "12"
}
}
}
}
}Scope requirements
Scope requirements
Path Parameters
Query Parameters
Response
200 - application/json
Successful response - For a given account, return information about a single contact by its user token, stored in the hubspotutk cookie
The response is of type object.
Last modified on March 30, 2026
Was this page helpful?